Project

General

Profile

Actions

Feature #7609

open

Building ISC BIND 9.11.0-P1

Added by r a over 4 years ago. Updated about 3 years ago.

Status:
New
Priority:
Low
Assignee:
-
Category:
-
Target version:
-
Start date:
2016-11-22
Due date:
% Done:

0%

Estimated time:
Difficulty:
Medium
Tags:
needs-triage

Description

While it possible to configure ISC BIND 9.11.0-P1 using on hipster 10.2016 illumos-970db7b using the following command

CC=gcc CXX=g++ F77=gfortran FC=gfortran CFLAGS='-m64 -O3' CXXFLAGS=-m64 FFLAGS=-m64 FCFLAGS=-m64 LDFLAGS=-m64 PKG_CONFIG_PATH=/usr/lib/pkgconfig ./configure --prefix=/usr --mandir=/usr/share/man --bindir=/usr/sbin --libdir=/usr/lib/dns --with-libtool --sbindir=/usr/sbin --sysconfdir=/etc --localstatedir=/var --with-openssl --enable-threads=yes --enable-devpoll=yes --disable-openssl-version-check --enable-fixed-rrset --with-pkcs11 --with-libxml2=/usr --enable-seccomp --enable-ipv6 --enable-querytrace

You are given the following configuration summary

Configuration summary:
-------------------------------------------------------------------------------
Optional features enabled:
Multiprocessing support (--enable-threads)
GSS-API (--with-gssapi)
PKCS#11/Cryptoki support using OpenSSL (--with-pkcs11)
Provider library: undefined
ECDSA algorithm support (--with-ecdsa)
Allow 'fixed' rrset-order (--enable-fixed-rrset)
Print backtrace on crash (--enable-backtrace)
Use symbol table for backtrace, named only (--enable-symtable)
Use GNU libtool (--with-libtool)
Very verbose query trace logging (--enable-querytrace)
Dynamically loadable zone (DLZ) drivers:
None

Features disabled or unavailable on this platform:
Large-system tuning (--with-tuning)
Allow 'dnstap' packet logging (--enable-dnstap)
GeoIP access control (--with-geoip)
Native PKCS#11/Cryptoki support (--enable-native-pkcs11)
GOST algorithm support (--with-gost)
Use libseccomp system call filtering (--enable-seccomp)
Automated Testing Framework (--with-atf)
LMDB database to store configuration for 'addzone' zones (--with-lmdb)

In order to support dnstap both fstrm and protobuf-c are required, for geoip a version of geoip later than v1.4.8 is required.

Can BIND be upgraded to 9.11.0-P1.

Actions

Also available in: Atom PDF